Mail archive
alpine-devel

Re: [alpine-devel] libc-dev / Forcible removal of package

From: Leslie P. Polzer | PORT ZERO <polzer_at_port-zero.com>
Date: Mon, 30 Jun 2014 09:28:02 +0200

On 06/26/2014 11:37 AM, Natanael Copa wrote:

> What happens when you do apk del libc-dev?

It appears I have some deps that need it:

% sudo /sbin/apk del libc-dev
World updated, but the following packages are not removed due to:
  libc-dev: g++ build-base alpine-sdk g++-i486-alpine-linux-musl g++-armv6-alpine-linux-muslgnueabihf

1 errors; 1871 MiB in 370 packages

The latter two are clearly packages I compiled myself. It is to be suspected
that I also built the others myself. But it is not clear to me why g++, build-base and
alpine-sdk haven't been upgraded. Or do current packages still refer to libc-dev?

Thanks for clarifying,

  Leslie


-- 
Dipl.Ing.(BA) Leslie P. Polzer | CTO - PORT ZERO
UG (haftungsbeschränkt)
Softwareentwicklung & IT Engineering
Adalbertstraße 7/8
10999 Berlin
Tel.: +49 (0)30 - 69 200 907 - 0
Fax: +49 (0)30 - 69 200 907 - 9
http://www.port-zero.com
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Jun 30 2014 - 09:28:02 UTC